Package org.apache.cxf.staxutils

# Class W3CNamespaceContext

java.lang.Object
org.apache.cxf.staxutils.W3CNamespaceContext

All Implemented Interfaces:
  `NamespaceContext`

public class W3CNamespaceContext extends Object implements NamespaceContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `W3CNamespaceContext()`
  `W3CNamespaceContext(Element el)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getElement()`
  `String`
  `getNamespaceURI(String prefix)`
  `String`
  `getPrefix(String uri)`
  `Iterator<String>`
  `getPrefixes(String uri)`
  `void`
  `setElement(Element node)`
  `void`
  `setOutNamespaceContext(NamespaceContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### W3CNamespaceContext

    public W3CNamespaceContext()

  - ### W3CNamespaceContext

    public W3CNamespaceContext(Element el)

- ## Method Details

  - ### setOutNamespaceContext

    public void setOutNamespaceContext(NamespaceContext context)

  - ### getNamespaceURI

    public String getNamespaceURI(String prefix)
    Specified by:
      `getNamespaceURI` in interface `NamespaceContext`

  - ### getPrefix

    public String getPrefix(String uri)
    Specified by:
      `getPrefix` in interface `NamespaceContext`

  - ### getPrefixes

    public Iterator<String> getPrefixes(String uri)
    Specified by:
      `getPrefixes` in interface `NamespaceContext`

  - ### getElement

    public Element getElement()

  - ### setElement

    public void setElement(Element node)